#ifndef CDO_ALLOC_H
#define CDO_ALLOC_H

#include <cstddef>

namespace cdo
{

inline constexpr std::size_t allocStepInc = 1024;

template <typename Container, typename Index>
void
ensure_step_size(Container &c, Index idx)
{
  if (static_cast<std::size_t>(idx) >= c.size()) c.resize(c.size() + allocStepInc);
}

}  // namespace cdo
#endif
